package com.hh.hhomc.bean;

import java.util.List;

public class ServerActionBean {


    private String sn;
    private String source;
    private String op;
    private String msg;
    private String logType;
    private List<LogsDTO> logs;
    private List<String> paths;
    String logDirPath;


    int appOnline;
    String packageName;
    String versionName;

    String sender;


    public int getAppOnline() {
        return appOnline;
    }

    public void setAppOnline(int appOnline) {
        this.appOnline = appOnline;
    }

    public String getPackageName() {
        return packageName;
    }

    public void setPackageName(String packageName) {
        this.packageName = packageName;
    }

    public String getVersionName() {
        return versionName;
    }

    public void setVersionName(String versionName) {
        this.versionName = versionName;
    }

    public String getSender() {
        return sender;
    }

    public void setSender(String sender) {
        this.sender = sender;
    }

    public List<String> getPaths() {
        return paths;
    }

    public void setPaths(List<String> paths) {
        this.paths = paths;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getOp() {
        return op;
    }

    public void setOp(String op) {
        this.op = op;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getLogType() {
        return logType;
    }

    public void setLogType(String logType) {
        this.logType = logType;
    }

    public List<LogsDTO> getLogs() {
        return logs;
    }

    public void setLogs(List<LogsDTO> logs) {
        this.logs = logs;
    }


    public String getLogDirPath() {
        return logDirPath;
    }

    public void setLogDirPath(String logDirPath) {
        this.logDirPath = logDirPath;
    }

    public static class LogsDTO {
        private String logType;
        private List<String> paths;

        public String getLogType() {
            return logType;
        }

        public void setLogType(String logType) {
            this.logType = logType;
        }

        public List<String> getPaths() {
            return paths;
        }

        public void setPaths(List<String> paths) {
            this.paths = paths;
        }

        @Override
        public String toString() {
            return "LogsDTO{" +
                    "logType='" + logType + '\'' +
                    ", paths=" + paths +
                    '}';
        }
    }


    @Override
    public String toString() {
        return "ServerActionBean{" +
                "sn='" + sn + '\'' +
                ", source='" + source + '\'' +
                ", op='" + op + '\'' +
                ", msg='" + msg + '\'' +
                ", logType='" + logType + '\'' +
                ", logs=" + logs +
                ", paths=" + paths +
                ", logDirPath='" + logDirPath + '\'' +
                ", appOnline=" + appOnline +
                ", packageName='" + packageName + '\'' +
                ", versionName='" + versionName + '\'' +
                ", sender='" + sender + '\'' +
                '}';
    }
}
